import { getCategoryDecals } from "../../../../../services/factoryBuilder/asset/decals/getCategoryDecals";

export const fetchCategoryDecals = async (subcategory: string): Promise<DecalProp[]> => {
    try {
        const res = await getCategoryDecals(subcategory);
        return res;
    } catch (err) {
        console.error("Failed to fetch decals", err);
        return [];
    }
};
